      subroutine perddutemps(ttt)
      INCLUDE 'Parametres.f'
Cfj      xx = xloosetime
Cfj      n = max(1,nint(real(nloosetime)*ttt))
Cfj      do i=1,n
Cfj        do j=1,1000
Cfj          yy = 123456789.*log(1.+abs(cos(xx)))
Cfj          xx = 9876543.*sin(3456789.*cos(yy))
Cfj        enddo
Cfj      enddo
Cfj      xloosetime = xx
C
      it = nint(ttt*1000000.)
      call myusleep(it)
      end
